
TYPO3.Neos - Task # 10855

Story # 11042 (Closed): As Roger, I want clean and extensible JavaScript Code

Status: Resolved Priority: Must have
Author: Rens Admiraal Category: UI
Created: 2010-11-16 Assigned To: Rens Admiraal
Updated: 2011-05-17 Due date:
Subject: Restructure files beneath Resources/Public/JavaScript
Description

Restructure files beneath Resources/Public/JavaScript

Associated revisions
Revision 61f315a6 - 2011-05-16 13:20 - Rens Admiraal

[TASK] Restructure TYPO3/Resources/Public folder

Change-Id: I90561b48dd0278141dcdf1797ccc7080d9bc3b88
Resolves: #10855

History
#1 - 2010-11-16 17:32 - Rens Admiraal
- Status changed from New to Accepted
- Target version changed from 711 to 732

#2 - 2010-11-20 15:54 - Rens Admiraal
- File Resources.zip added

Created a suggestion, and spoke it through with Christian. For now we came up with a structure like:

`-- Resources
    `-- Public
        |-- Icons
        |-- Images
        |-- JavaScript
        |   |-- Aloha
        |   |-- Configuration
        |   |-- Core
        |   |   |-- History
        |   |   `-- Login
        |   |-- Dummy
        |   |-- Ext
        |   |-- Frontend
        |   |-- Modules
        |   |   |-- Content
        |   |   |   |-- AlohaConnector
        |   |   |   `-- Edit
        |   |   |-- Layout
        |   |   `-- Management
        |   |       |-- Configuration
        |   |       |   `-- ModuleConfiguration.js
        |   |       |-- Core
        |   |       |   `-- Module.js
        |   |       |-- Stores
        |   |       |   |-- ManagementGridStore.js
        |   |       |   `-- ManagementTreeStore.js
        |   |       `-- UserInterface
        |   |           |-- Tree
        |   |           |   `-- ManagementTreeComponent.js
        |   |           `-- ManagementView.js
        |   |-- Stores
        |   `-- UserInterface
        |       |-- BreadcrumbMenu
        |       |-- BreadcrumbMenuComponent.js
        |       `-- ButtonComponent.js
        `-- StyleSheet

We came up with Modules/ModuleName/Core/Module.js to have the Module.js file inside the module folder. Otherwise we would have something like
Modules/NameModule.js and a Modules/Name/ folder (like with the BreadcrumbMenuComponent). This should be discussed though.

Might be good to discuss this a bit deeper next week.

Attached is a zip with this structure to use with the tree command in linux to create this tree schedule, for those who want to play around ;-)

#3 - 2010-11-20 15:55 - Rens Admiraal
- Status changed from Accepted to Needs Feedback

#4 - 2010-11-20 16:20 - Rens Admiraal

An another question we came up with: shouldn't Aloha be a seperate package?

#5 - 2010-11-24 12:36 - Robert Lemke
- Parent task changed from #10285 to #11042

#6 - 2010-12-10 17:26 - Robert Lemke

Rens Admiraal wrote:

An another question we came up with: shouldn't Aloha be a seperate package?

I don't have a strong opinion on this, but if it doesn't get too complicated for you guys, I'd say: yes, sure. It might even be easier then to keep Aloha in
sync with the official Git repository.

About the structure: I'd call the "StyleSheet" directory "StyleSheets".

#7 - 2011-05-10 08:42 - Sebastian Kurfuerst
- Project changed from Base Distribution to TYPO3.Neos
#8 - 2011-05-10 08:45 - Sebastian Kurfuerst
- Category set to UI

#9 - 2011-05-10 08:46 - Sebastian Kurfuerst
- Status changed from Needs Feedback to Accepted
- Priority changed from Should have to Must have

We'll set up a doodle meeting for this.

#10 - 2011-05-10 09:11 - Sebastian Kurfuerst

http://www.doodle.com/qy2fhev6ewd3vfqk

#11 - 2011-05-13 10:46 - Rens Admiraal

Meeting notes:

`-- Resources
    `-- Public
        |-- Icons
        |-- Images
        |-- Libraries
            |-- Aloha
            |-- Syntax highlight editor
        |-- JavaScript
        |   |-- Configuration -> OK (for now)
        |   |-- Core -> OK
        |   |   |--  Application
        |   |   |--  History
        |   |   |--  I18n
        |   |   `-- Registry
        |   |-- Ext (ext JS extensions)
        |   |-- Modules
        |   |   |-- ContentModule.js -> F3.TYPO3.ContentModule
        |   |   |-- Content
        |   |   |   |-- EditorFrontend  -> F3.TYPO3.Content.EditorFrontend.Core
        |   |   |   |-- EditorBackend.js --> Proxy for ext.direct calls
        |   |   |   `-- Edit
        |   |   |-- Layout
        |   |   |-- Login
        |   |   |-- Dummy
        |   |   |-- ManagementModule.js
        |   |   `-- Management
        |   |       |-- Stores
        |   |       |   |-- ManagementGridStore.js
        |   |       |   `-- ManagementTreeStore.js
        |   |       `-- UserInterface
        |   |           |-- Tree
        |   |           |   `-- ManagementTreeComponent.js
        |   |           `-- ManagementView.js
        |   |-- Stores --> DROP!
        |   |-- Utility
                `-- Queue
        |   `-- Components "reusable UI widgets" 
        |       |-- BreadcrumbMenu
        |       |-- BreadcrumbMenuComponent.js
        |       `-- ButtonComponent.js
        `-- StyleSheet

#12 - 2011-05-16 12:37 - Mr. Hudson

Patch set 1 of change I90561b48dd0278141dcdf1797ccc7080d9bc3b88 has been pushed to the review server.
It is available at http://review.typo3.org/2123

#13 - 2011-05-16 13:20 - Mr. Hudson

Patch set 2 of change I90561b48dd0278141dcdf1797ccc7080d9bc3b88 has been pushed to the review server.
It is available at http://review.typo3.org/2123

#14 - 2011-05-17 10:05 - Rens Admiraal
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:61f315a68fbaa831e0e427b779fd3c243dd1a62e.

Files
Resources.zip 7.3 kB 2010-11-20 Rens Admiraal
